﻿#goTop{
    position: absolute;
    top: 0;
}
.header-style1{
    position: fixed;
    z-index: 999;
    display: block;
    width: 100%;
    top: 0;
    background-color: #000;
}
.header-top-box{
    width: 1280px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
}
.header-top-box{
    height: 80px;
    box-sizing: border-box;
    padding: 15px 0;
}
.header-logo{
    width: 300px;
    max-width: 100%;
    display: inline-block;
    position: relative;
    vertical-align: middle;
}
.header-community-box{
    width: calc(100% - 300px);
    display: inline-block;
    vertical-align: middle;
    text-align: right;
}
.header-community{
    display: inline-block;
    vertical-align: middle;
    font-size: 24px;
    color: #fff;
    line-height: 26px;
    margin-left: 25px;
    transition: all .3s linear;
}

.header-bottom-box{
    width: 100%;
    display: block;
    position: relative;
    background-color: #1b1b1b;
    box-sizing: border-box;
    border-top: 3px solid #fba804;
}



.header-menu-box{
    width: 1280px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    box-sizing: border-box;
    padding: 12px 0;
}
.header-menu{
    width: 100%;
    display: flex;
    display: -webkit-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: space-between;
    -webkit-justify-content: space-between;
    flex-direction: row;
}
.header-menu> li{
    display: inline-block;
    vertical-align: middle;
    position: relative;
}

.header-menu-title{
    font-family: 'Noto Sans TC';
    font-size: 18px;
    color: #ccc;
    letter-spacing: 0.06em;
    line-height: 26px;
    position: relative;
    transition: all .3s linear;
}
div.header-menu-title{
    cursor: context-menu;
}


.rwd-menu-list-back{
    display: none;
}
.mask{
    width: 100%;
    height: 100vh;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.7);
}

.mask.active{
    display: block;
}

.rwd-menu{
    width: 25px;
    max-width: 100%;
    position: absolute;
    right: 2.5vw;
    z-index: 99999;
    display: none;
    top: calc(50% - 7px);
}
.rwd-menu span{
    width: 100%;
    display: block;
    margin: 0 auto;
    height: 4px;
    background-color: #fff;
    position: relative;
}




/*漢堡樣式1*/
.rwd-menu-style1> span:nth-child(even){
    margin: 4px auto;
    transition: all .4s linear;
}
.rwd-menu-style1> span:nth-child(1){
    transform: scale(1);
    transform-origin: left;
    transition: all .4s linear;
}
.rwd-menu-style1> span:nth-child(3){
    transform: scale(1);
    transform-origin: right;
    transition: all .4s linear;
}
.rwd-menu-style1> span:nth-child(4){
    top: -19px;
    transform:  scale(0,1) rotate(-45deg);
}
.rwd-menu-style1> span:nth-child(4){
    display: none;
}
.rwd-menu-style1 .rwd-menu-bth-line{
    transform: rotate(-45deg);
}
.rwd-menu-style1 .rwd-menu-bth-line2{
    transform: rotate(45deg);
}
.rwd-menu-style1 .rwd-menu-bth-line,
.rwd-menu-style1 .rwd-menu-bth-line2{
    position: absolute;
    top: 6px;
    left:0;
    width: 100%;
}
.rwd-menu-style1 .rwd-menu-bth-line span,
.rwd-menu-style1 .rwd-menu-bth-line2 span{
    transform:  scale(0,1);
    transition: all .5s ease;
    position: relative;
}
.rwd-menu-style1.active .rwd-menu-bth-line span,
.rwd-menu-style1.active .rwd-menu-bth-line2 span{
    transform:  scale(1,1) ;
    transition-delay: .1s;
}
.rwd-menu-style1.active> span:nth-child(1),
.rwd-menu-style1.active> span:nth-child(2),
.rwd-menu-style1.active> span:nth-child(3){
    transform: scale(0,1);
}
.rwd-menu-style1.active> span:nth-child(odd){
    transform: scale(0);
    transition: all .4s linear;
    transition-delay: 0s;
}

/*漢堡樣式2*/

.rwd-menu-style2> span:nth-child(4){
    display: none;
}
.rwd-menu-style2> span:nth-child(2){
    display: block;
    margin: 4px auto;
}
.rwd-menu-style2{
    width: 25px;
}
.rwd-menu-style2> span{
    transition: all 0.3s ease-in-out;
}
.rwd-menu-style2 .rwd-menu-bth-line,
.rwd-menu-style2 .rwd-menu-bth-line2{
    display: none;
}
.rwd-menu-style2.active{
    animation: smallbig 0.6s forwards;
}
.rwd-menu-style2.active> span:nth-child(1){
    -webkit-transform: translateY(7px) rotate(45deg);
    -ms-transform: translateY(7px) rotate(45deg);
    -o-transform: translateY(7px) rotate(45deg);
    transform: translateY(7px) rotate(45deg);
}
.rwd-menu-style2.active> span:nth-child(2){
    opacity: 0;
}
.rwd-menu-style2.active> span:nth-child(3){
    -webkit-transform: translateY(-5px) rotate(-45deg);
    -ms-transform: translateY(-5px) rotate(-45deg);
    -o-transform: translateY(-5px) rotate(-45deg);
    transform: translateY(-5px) rotate(-45deg);
}

.rwd-menu-style2.active> span:nth-child(1), 
.rwd-menu-style2.active> span:nth-child(2), 
.rwd-menu-style2.active> span:nth-child(3) {
    -webkit-transition-delay: 0.2s;
    -o-transition-delay: 0.2s;
    transition-delay: 0.2s;
}



@keyframes smallbig{
  0%, 100%{
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    -o-transform: scale(1);
    transform: scale(1);
  }

  50%{
    -webkit-transform: scale(0);
    -ms-transform: scale(0);
    -o-transform: scale(0);
    transform: scale(0);
  }
}


/*------------------------------------------*/

@media only screen and (max-width: 1280px){
    .header-top-box{
        width: 1200px;
    }
    .header-menu-box{
        width: 1200px;
    }
}
@media only screen and (max-width: 1200px){
    .header-top-box{
        width: 1000px;
    }
    .header-menu-box{
        width: 1000px;
    }
}
@media only screen and (max-width: 1000px){
    .header-top-box{
        width: 750px;
    }
    .header-menu-box{
        width: 750px;
    }
}
@media only screen and (max-width: 768px){
    .header-top-box{
        width: 95vw;
        height: 72px;
    }
    .header-menu-box{
        width: 95vw;
    }
    .header-style1 .rwd-menu{
        display: block;
    }
    .header-logo{
        width: 250px;
    }
    .header-community-box {
        width: calc(100% - 302px);
    }
    .header-bottom-box{
        width: 100%;
        height: calc(100vh - 72px);
        position: fixed;
        top: 72px;
        left: 0;
        z-index: 3;
        overflow: auto;
        transition: none;
        display: none;
    }
    .header-menu-box{
        height: 100%;
        padding: 30px 0;
    }
    .header-menu{
        height: 100%;
        align-items: center;
        -webkit-align-items: center;
        justify-content: center;
        -webkit-justify-content: center;
        flex-direction: column;
        min-height: 382px;
    }
    .rwd-header-menu-sytle1 .header-menu> li{
        display: block;
        margin: 0;
        margin-bottom: 20px;
        text-align: center;
        opacity: 0;
        pointer-events: none;
        transform: translateY(-10px);
        transition: all .3s linear;
    }
    .rwd-header-menu-sytle1 .header-bottom-box.active .header-menu> li{
        opacity: 1;
        pointer-events: all;
        transform: translateY(0px);
        transition-delay: 0.3s;
    }
}
@media only screen and (max-width: 550px){
    .header-top-box{
        padding: 10px 0;
        height: 46px;    
    }
    .header-logo{
        width: 160px;
    }
    .header-community-box {
        width: calc(100% - 200px);
    }
    .header-community{
        font-size: 18px;
        line-height: 22px;
        margin-left: 15px;
    }
    .rwd-menu span{
        height: 2px;
        width: 20px;
    }
    .header-bottom-box{
        top: 46px;
        height: calc(100vh - 46px);
    }
}


@media only screen and (min-width: 769px){
    .header-community:hover{
        color: #428a7b;
    }
    .header-menu> li.active .header-menu-title,
    .header-menu> li .header-menu-title:hover{
        color: #428a7b;
    }
}